Package org.gradle.api.artifacts

# Interface ComponentSelection

@Incubating public interface ComponentSelection
Represents a tuple of the component selector of a module and a candidate version to be evaluated in a component selection rule.

## Method Summary

Modifier and Type
Method
Description
`ModuleComponentIdentifier`
`getCandidate()`
Gets the candidate version of the module.
`void`
`reject(String reason)`
Rejects the candidate for the resolution.

## Method Details

### getCandidate

ModuleComponentIdentifier getCandidate()
Gets the candidate version of the module.

Returns:
  the candidate version of the module

### reject

void reject(String reason)
Rejects the candidate for the resolution.

Parameters:
  `reason` - The reason the candidate was rejected.